Bug 79199 - perl5.8.0 critical bug in \U..\E processing
Summary: perl5.8.0 critical bug in \U..\E processing
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl   
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
high
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-07 00:44 UTC by Need Real Name
Modified: 2007-03-27 03:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-08 19:45:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Perl test program that demonstrates the bug (214 bytes, patch)
2002-12-07 00:58 UTC, Need Real Name
no flags Details | Diff

Description Need Real Name 2002-12-07 00:44:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
This bug is preventing me from building the linux kernel.

The attached program "test.pl", when run, behaves as follows:

With perl v5.8.0:
INPUT:
MOVE BAR
OUTPUT:
Object = B0B

With perl v5.005_003:
INPUT:
MOVE BAR
OUTPUT:
Object = BAR

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run test.pl
2. Type input on stdin: "MOVE BAR"
3.
	

Actual Results:  Object = B0B

Expected Results:  Object = BAR

Additional info:

Comment 1 Need Real Name 2002-12-07 00:58:54 UTC
Created attachment 87784 [details]
Perl test program that demonstrates the bug

Comment 2 Chip Turner 2002-12-16 02:32:20 UTC
this is fixed in perl-5.8.0-71, which will be available soon from Rawhide, and
whose srpm should compile without modification on stock 8.0.

Comment 3 Miloslav Trmac 2004-03-08 19:45:13 UTC
Fix confirmed in perl-5.8.3-10.



Note You need to log in before you can comment on or make changes to this bug.